# Generated by Django 3.1.7 on 2021-05-27 17:47

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('lods', '0005_course_tags'),
    ]

    operations = [
        migrations.CreateModel(
            name='Lab',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('minutes_remaining', models.IntegerField(null=True)),
                ('saved', models.IntegerField(null=True)),
                ('start', models.IntegerField(null=True)),
                ('expires', models.IntegerField(null=True)),
                ('save_in_progress', models.BooleanField(null=True)),
                ('url', models.TextField(null=True)),
                ('is_running', models.BooleanField(null=True)),
                ('is_saved', models.BooleanField(null=True)),
                ('is_others', models.BooleanField(null=True)),
            ],
            options={
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='LabHistory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('action', models.TextField()),
                ('datetime', models.DateTimeField(auto_now_add=True)),
                ('status', models.IntegerField(null=True)),
                ('error_message', models.TextField(null=True)),
                ('course', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='lods.course')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
